LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
DataTypeClass.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::xsd
| W3C XML Schema-2 data type related interfaces.

## Constant Groups
constants | com::sun::star::xsd::DataTypeClass
| These constants specify the class used of an XDataType.

## Variables
const short | STRING = 1
| specifies an XSD compliant string type More...
const short | BOOLEAN = 2
| specifies an XSD compliant boolean type More...
const short | DECIMAL = 3
| specifies an XSD compliant decimal type More...
const short | FLOAT = 4
| specifies an XSD compliant float type More...
const short | DOUBLE = 5
| specifies an XSD compliant double type More...
const short | DURATION = 6
| specifies an XSD compliant duration type More...
const short | DATETIME = 7
| specifies an XSD compliant datetime type More...
const short | TIME = 8
| specifies an XSD compliant time type More...
const short | DATE = 9
| specifies an XSD compliant date type More...
const short | gYearMonth = 10
| specifies an XSD compliant gYearMonth type More...
const short | gYear = 11
| specifies an XSD compliant gYear type More...
const short | gMonthDay = 12
| specifies an XSD compliant gMonthDay type More...
const short | gDay = 13
| specifies an XSD compliant gDay type More...
const short | gMonth = 14
| specifies an XSD compliant gMonth type More...
const short | hexBinary = 15
| specifies an XSD compliant hexBinary type More...
const short | base64Binary = 16
| specifies an XSD compliant base64Binary type More...
const short | anyURI = 17
| specifies an XSD compliant anyURI type More...
const short | QName = 18
| specifies an XSD compliant QName type More...
const short | NOTATION = 19
| specifies an XSD compliant NOTATION type More...